# Revision Sep/2022 E.Lucio																						
# CMOR follows  https																						
#																						
# colnumber; col abbreviation; key meaning									Attribute: Global, variable, json only, skip				Global attribute									
# No 0; CCC; code numbers used in DKRZ data pool, defined in https://doi.org/10.5281/zenodo.10060933									skip				No, not needed inside the file metadata since this is the DKRZ code, only	"code": #CCC,								
# No 1; ECTABLE; ECMWF GRIB table number, defined in https://codes.ecmwf.int/grib/param-db/?filter=All							grib_paramID		variable				N									
# No 2; ECCODE; ECMWF GRIB parameter ID, defined in https://codes.ecmwf.int/grib/param-db/?filter=All							grib_table		variable													
# No 3; ECPAR;  original ECMWF shortName of parameter as 'cdo --eccodes showname ORIGFILE' and corresponding to shortName provided in metadata of the original GRIB file							orig_short_name		global?				N	"orig_short_name": ECPAR,								
# No 4; ECNAME; original ECMWF parameter full name							orig_name		global?				Y	"orig_name": ECNAME,								
# No 5; ECUNIT; original ECMWF parameter unit							orig_units		global?				Y	"orig_units": ECUNIT,								
# No 6; ECDESC; original ECMWF parameter description							grib_description		global					"grib_description": DESCRIPTION,								
# No 7; LTYPE;  flags to indicate the ECMWF data source (an:analysis,fc:forecast,pl:pressure level,sfc:surface level). All data are ERA5, except for flags ending with _land, which are ERA5 LAND. Possible flag values: pl_an, sfc_an, sfc_fc, sfc_an_land, sfc_fc_land							level_type						Y									
# No 8; DIMS; dimensionality of data CMPAR(time, level, latitude, longitude)							dimensions						N --> Variable dimensionality									
# No 9; TREPR; type of time representation: INST instantaneous, ACC accumulated, MIN minimum,  MAX maximum, IV time-invariant														"orig_grid": GRIDTYPE,								
# No 10; ECGRID; native grid on which the ERA5 data are provided. redGG is reduced Gaussian																						
# No 11 CMIP  mapping approach 0 no, 1 CF, 3 CF-CMIP, 5 CMIP5, 6 CMIP6													Y									
# No 12 CMPAR varname follows CMOR													N	"variable": CMPAR	"comment": COMMENT,							
                                                                                        
                                                                                        
# No 9 CFNAME CF standard name													N	"standard_name": "land_area_fraction", CFNAME	"dimensions": "longitude latitude", <--- ? NEW VARIABLE ?? "DIM"							
# No 10 CMUNIT unit follows CMOR and compatible with CF canonical units													N	"units": CMUNIT,	"type": "real", <--- I guess that this will always be REAL							
# No 11 CMFACT factor for convertion from ECUNIT to CMUNIT													Y	"conversion": CMFACT,	"positive": "", <--- this should be derived from the conversion factor (the sign)							
# No 12 CELL_METHODS CF cell_method attribute													N	"cell_methods": CELL_METHODS,	"grid": GRIDTYPE,							
# No 13 CELL_MEASURES CF cell_measures attribute													N	"cell_measures": CELL_MEASURES,	"table": "180", <---?							
# No 9 CMLNAME  CF long_name attribute													N	"long_name": CMLNAME,								
# No 13 REALM realm of the variable (atmos, land,  ocean, landice, seaice, aerosol)																						
# No 10 CMTABLE name of the CMOR table for monthly averages																						
# No 11 GRIDTYPE gridtype																						
# No 12 GRIBVERS version of GRIB (= Version 1) GRIBx (=1,2) GRIB2 (=Version 2)																						
# No 13 REALM realm of the variable (atmos, land,  ocean, landice, seaice, aerosol)														"modeling_realm": REALM,								
# No 19 LEVELS levels extracted																						
# No 20 XCES whether the variable was already in XCES or not																						
# No 21 OBS complementary information													9			10	11	13	14	15	16	



        "project": "reanalysis",
        "institute": "ECMWF",
        "model": "IFS",
        "experiment": "ERA5, ERA5-Land",
        "institution": "European Centre for Medium-Range Weather Forecasts",
        "license": "ERA5 data, which are produced as part of the EU-funded Copernicus Climate Change Service (C3S), are distributed on an open basis without any specific restrictions on their usage or distribution (see License). However, all users of Copernicus Products must provide clear and visible attribution to the Copernicus program. A detailed desription can be found at https://cds.climate.copernicus.eu/api/v2/terms/static/licence-to-use-copernicus-products.pdf",
        "citation": "Muñoz Sabater, J. (2019): ERA5-Land hourly data from 1950 to present. Copernicus Climate Change Service (C3S) Climate Data Store (CDS). DOI: 10.24381/cds.e2161bac (Accessed on DD-MMM-YYYY). Data distribution by the German Climate Computing Center (DKRZ).",
        "family": "provisional (ET) improved (E1) final (E5)",
