from setuptools import setup

setup(
    name="era5-tables",
    version="2504.0.0",
    author="Etor E. Lucio Eceiza",
    author_email="lucio-eceiza@dkrz.de",
    license="MIT",
    url="https://gitlab.dkrz.de/bm1159/cosodax/era5-tables",
    package_dir={"": "src"},
    entry_points={
        "console_scripts": [
            "era5-tables = era5_tables.cli:main",
        ]
    },
    install_requires=[
        "pandas>=2.0.0",
        "openpyxl>=3.1.0",
        "cfchecker>=4.1.0",
        "netCDF4>=1.6.0",
        "numpy>=1.20.0",
        "tqdm>=4.64.1",
    ],
    extras_require={
        "dev": [
            "pytest",
            "mypy",
            "black",
            "flake8",
            "ipython",
            "pre-commit",
            "isort",
        ]
    },
    python_requires=">=3.9",
)
